streaming_base.hpp File Reference

Go to the source code of this file.

## Classes

class | png::def_image_info_holder
| The default image_info holder class. Stores image_info member object. More...
class | png::image_info_ref_holder
| An image_info holder class. Stores a reference to the image_info object. The image_info object itself should be stored elsewhere. More...
class | png::streaming_base< pixel, info_holder >
| A base class template for consumer and generator classes. Provides default `reset()` method implementation as well as `info_holder` policy. More...

## Namespaces

| png